Bug 959872 - RFE: add INSTALL="install -p" to %make_install
Summary: RFE: add INSTALL="install -p" to %make_install
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: rpm
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Packaging Maintenance Team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-05-06 07:21 UTC by Hans de Goede
Modified: 2017-08-22 11:43 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-22 11:43:47 UTC


Attachments (Terms of Use)

Description Hans de Goede 2013-05-06 07:21:34 UTC
Hi,

Currently pretty much every spec file needs to add INSTALL="install -p" to its %make_install invocation to keep time the original timestamps on things like images and man pages, can this be added to the %make_install macro please ?

So change it to:

%make_install %{__make} install DESTDIR=%{?buildroot} INSTALL="install -p"

Regards,

Hans

Comment 1 Christopher Meng 2014-04-24 09:17:30 UTC
Finally find this bug.

https://fedoraproject.org/wiki/Make_install_packaging_draft

I saw the draft and found that this.

Indeed, per our guidelines, we should use -p option to install files.

I wonder if we have hack the %configure but this solution is valid, too.

Comment 3 Panu Matilainen 2017-08-22 11:43:47 UTC
Fixed in rawhide/F27 now as of rpm >= 4.13.90.


Note You need to log in before you can comment on or make changes to this bug.